%{!?drupal6: %global drupal6 %{_datadir}/drupal6}
%{!?drupal6_modules: %global drupal6_modules %{drupal6}/sites/all/modules}

%global module devel

Name:      drupal6-%{module}
Version:   1.28
Release:   2%{?dist}
Summary:   Various blocks, pages, and functions for developers

Group:     Applications/Publishing
License:   GPLv2
URL:       http://drupal.org/project/%{module}
Source0:   http://ftp.drupal.org/files/projects/%{module}-6.x-%{version}.tar.gz
Source1:   %{name}-RPM-README.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:  drupal6
#Requires:  drupal6(menu)
# phpcompatinfo (computed from version 1.28)
Requires:  php-date
Requires:  php-pcre
Requires:  php-reflection
Requires:  php-session

Provides:  drupal6(%{module}) = %{version}
Provides:  drupal6(%{module}_generate) = %{version}
Provides:  drupal6(%{module}_node_access) = %{version}

%description
A suite of modules containing fun for module developers and themers.

Devel
* Helper functions for Drupal developers and inquisitive admins. This module can
  print a summary of all database queries for each page request at the bottom of
  each page. The summary includes how many times each query was executed on a
  page (shouldn't run same query multiple times), and how long each query took
  (short is good - use cache for complex queries).
* Also a dprint_r($array) function is provided, which pretty prints arrays.
  Useful during development. Similarly, a ddebug_backtrace() is offerred.
* much more. See this helpful demo page
  (http://ratatosk.net/drupal/tutorials/debugging-drupal.html).

Generate content
* Accelerate development of your site or module by quickly generating nodes,
  comments, terms, users, and more.

Devel Node Access (DNA)
* View the node access entries for the node(s) that are shown on a page.
  Essential for developers of node access modules and useful for site admins in
  debugging problems with those modules.

Optional:
* XHProf (php-pecl-xhprof)

This package provides the following Drupal modules:
* %{module}
* %{module}_generate
* %{module}_node_access


%prep
%setup -qn %{module}

cp -p %{SOURCE1} .

# Remove executable bits
find . -type f | xargs chmod a-x

# Fix wrong-script-end-of-line-encoding
find krumo -type f | xargs sed -i 's/\r//'


%build
# Empty build section, nothing required


%install
rm -rf %{buildroot}
mkdir -pm 0755 %{buildroot}%{drupal6_modules}/%{module}
cp -pr * %{buildroot}%{drupal6_modules}/%{module}/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc *.txt
%{drupal6_modules}/%{module}
%exclude %{drupal6_modules}/%{module}/*.txt


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.28-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Feb 12 2014 Shawn Iwinski <shawn.iwinski@gmail.com> 1.28-1
- Updated to 1.28 (BZ #1062179; release notes https://drupal.org/node/2189765)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.27-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Mar 22 2013 Shawn Iwinski <shawn.iwinski@gmail.com> 1.27-1
- Initial package
